<?php
	$perfect_blog_custom_css = '';
	
	$perfect_blog_theme_color_first = get_theme_mod('perfect_blog_theme_color_first');
	$perfect_blog_theme_color_second = get_theme_mod('perfect_blog_theme_color_second');

	/*------------------ Theme Color Option -----------*/
	if ($perfect_blog_theme_color_first) {
		$perfect_blog_custom_css .= ':root {';
		$perfect_blog_custom_css .= '--primary-color: ' . esc_attr($perfect_blog_theme_color_first) . ' !important;';
		$perfect_blog_custom_css .= '} ';
	}

	if ($perfect_blog_theme_color_second) {
		$perfect_blog_custom_css .= ':root {';
		$perfect_blog_custom_css .= '--secondary-color: ' . esc_attr($perfect_blog_theme_color_second) . ' !important;';
		$perfect_blog_custom_css .= '} ';
	}
	
	// media
	$perfect_blog_custom_css .='@media screen and (max-width:1000px) {';
	if($perfect_blog_theme_color_second != false || $perfect_blog_theme_color_first != false){
	$perfect_blog_custom_css .='#menu-sidebar, .primary-navigation ul ul a, .primary-navigation li a:hover, .primary-navigation li:hover a, #contact-info{
	background-image: linear-gradient(-90deg, '.esc_attr($perfect_blog_theme_color_second).' 0%, '.esc_attr($perfect_blog_theme_color_first).' 120%);
		} }';
	}
	if($perfect_blog_theme_color_second){
		$perfect_blog_custom_css .='.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_theme_color_second).' !important;';
	}
	$perfect_blog_custom_css .='}';

	/*---------------------------Width Layout -------------------*/
	$perfect_blog_theme_lay = get_theme_mod( 'perfect_blog_theme_options','Default');
    if($perfect_blog_theme_lay == 'Default'){
		$perfect_blog_custom_css .='body{';
			$perfect_blog_custom_css .='max-width: 100%;';
		$perfect_blog_custom_css .='}';
		$perfect_blog_custom_css .='.page-template-custom-front-page #header{';
			$perfect_blog_custom_css .='width:100%';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_theme_lay == 'Container'){
		$perfect_blog_custom_css .='body{';
			$perfect_blog_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$perfect_blog_custom_css .='}';
		$perfect_blog_custom_css .='.page-template-custom-front-page #header{';
			$perfect_blog_custom_css .='width:97.7%';
		$perfect_blog_custom_css .='}';
		$perfect_blog_custom_css .='
		@media screen and (max-width: 1000px) and (min-width: 720px){
		.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='width:96%;';
		$perfect_blog_custom_css .='} }';
		$perfect_blog_custom_css .='
		@media screen and (max-width: 1024px) and (min-width: 1000px){
		.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='width:97.1%;';
		$perfect_blog_custom_css .='} }';
		$perfect_blog_custom_css .='
		@media screen and (max-width: 720px){
		.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='width:100%;';
		$perfect_blog_custom_css .='} }';
		
	}else if($perfect_blog_theme_lay == 'Box Container'){
		$perfect_blog_custom_css .='body{';
			$perfect_blog_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$perfect_blog_custom_css .='}';
		$perfect_blog_custom_css .='.page-template-custom-front-page #header{';
			$perfect_blog_custom_css .='width:82.2%;';
		$perfect_blog_custom_css .='}';	
		$perfect_blog_custom_css .='
		@media screen and (max-width: 1000px) and (min-width: 720px){
		.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='width:96%;';
		$perfect_blog_custom_css .='} }';
		$perfect_blog_custom_css .='
		@media screen and (max-width: 1024px) and (min-width: 1000px){
		.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='width:97%;';
		$perfect_blog_custom_css .='} }';
		$perfect_blog_custom_css .='
		@media screen and (max-width: 720px){
		.page-template-custom-front-page #header{';
		$perfect_blog_custom_css .='width:100%;';
		$perfect_blog_custom_css .='} }';
	}

	// css
	$perfect_blog_show_author = get_theme_mod( 'perfect_blog_author_hide', true) ;
	if($perfect_blog_show_author == false){
	 	$perfect_blog_custom_css .='.date-section{';
			$perfect_blog_custom_css .='float:none; width:100%;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_show_header = get_theme_mod( 'perfect_blog_slider_hide_show', true);
	if($perfect_blog_show_header == false){
		$perfect_blog_custom_css .='.page-template-custom-front-page #header{';
			$perfect_blog_custom_css .='position: static; background-color: var(--secondary-color);';
		$perfect_blog_custom_css .='}';
	}

	/*---------------------------Slider Content Layout -------------------*/
	$perfect_blog_theme_lay = get_theme_mod( 'perfect_blog_slider_content_alignment','Left');
    if($perfect_blog_theme_lay == 'Left'){
		$perfect_blog_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .readbutton{';
			$perfect_blog_custom_css .='text-align:left; left:15%; right:15%;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_theme_lay == 'Center'){
		$perfect_blog_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .readbutton{';
			$perfect_blog_custom_css .='text-align:center; left:20%; right:20%;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_theme_lay == 'Right'){
		$perfect_blog_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .readbutton{';
			$perfect_blog_custom_css .='text-align:right; left:15%; right:15%;';
		$perfect_blog_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/
	$perfect_blog_theme_lay = get_theme_mod( 'perfect_blog_slider_image_opacity','0.7');
	if($perfect_blog_theme_lay == '0'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.1'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.1';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.2'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.2';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.3'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.3';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.4'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.4';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.5'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.5';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.6'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.6';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.7'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.7';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.8'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.8';
		$perfect_blog_custom_css .='}';
		}else if($perfect_blog_theme_lay == '0.9'){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:0.9';
		$perfect_blog_custom_css .='}';
		}

	/*-------------------- Button Settings option-------------------*/
	$perfect_blog_button_padding_top_bottom = get_theme_mod('perfect_blog_button_padding_top_bottom');
	$perfect_blog_button_padding_left_right = get_theme_mod('perfect_blog_button_padding_left_right');
	$perfect_blog_custom_css .='.second-border a, #slider .inner_carousel .more-btn a, #comments .form-submit input[type="submit"]{';
		$perfect_blog_custom_css .='padding-top: '.esc_attr($perfect_blog_button_padding_top_bottom).'px !important; padding-bottom: '.esc_attr($perfect_blog_button_padding_top_bottom).'px !important; padding-left: '.esc_attr($perfect_blog_button_padding_left_right).'px !important; padding-right: '.esc_attr($perfect_blog_button_padding_left_right).'px !important; display:inline-block;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_button_border_radius = get_theme_mod('perfect_blog_button_border_radius');
	$perfect_blog_custom_css .='.second-border a, #slider .inner_carousel .more-btn a, #comments .form-submit input[type="submit"]{';
		$perfect_blog_custom_css .='border-radius: '.esc_attr($perfect_blog_button_border_radius).'px;';
	$perfect_blog_custom_css .='}';

	/*-----------------------------Responsive Setting --------------------*/
	$perfect_blog_stickyheader = get_theme_mod( 'perfect_blog_responsive_sticky_header',true);
	if($perfect_blog_stickyheader == true && get_theme_mod( 'perfect_blog_sticky_header') == false){
    	$perfect_blog_custom_css .='.fixed-header{';
			$perfect_blog_custom_css .='position:static;';
		$perfect_blog_custom_css .='} ';
	}
    if($perfect_blog_stickyheader == true){
    	$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='.fixed-header{';
			$perfect_blog_custom_css .='position:fixed;';
		$perfect_blog_custom_css .='} }';
	}else if($perfect_blog_stickyheader == false){
		$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='.fixed-header{';
			$perfect_blog_custom_css .='position:static;';
		$perfect_blog_custom_css .='} }';
	}

	$perfect_blog_slider = get_theme_mod( 'perfect_blog_responsive_slider',true);
	if($perfect_blog_slider == true && get_theme_mod( 'perfect_blog_slider_hide_show', true) == false){
    	$perfect_blog_custom_css .='#slider{';
			$perfect_blog_custom_css .='display:none;';
		$perfect_blog_custom_css .='} ';
	}
    if($perfect_blog_slider == true){
    	$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#slider{';
			$perfect_blog_custom_css .='display:block;';
		$perfect_blog_custom_css .='} }';
	}else if($perfect_blog_slider == false){
		$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#slider{';
			$perfect_blog_custom_css .='display:none;';
		$perfect_blog_custom_css .='} }';
	}

	$perfect_blog_scroll = get_theme_mod( 'perfect_blog_responsive_scroll',true);
	if($perfect_blog_scroll == true && get_theme_mod( 'perfect_blog_enable_disable_scroll', true) == false){
    	$perfect_blog_custom_css .='#scroll-top{';
			$perfect_blog_custom_css .='display:none !important;';
		$perfect_blog_custom_css .='} ';
	}
    if($perfect_blog_scroll == true){
    	$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#scroll-top{';
			$perfect_blog_custom_css .='visibility: visible !important;';
		$perfect_blog_custom_css .='} }';
	}else if($perfect_blog_scroll == false){
		$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#scroll-top{';
			$perfect_blog_custom_css .='visibility: hidden !important;';
		$perfect_blog_custom_css .='} }';
	}

	$perfect_blog_sidebar = get_theme_mod( 'perfect_blog_responsive_sidebar',true);
    if($perfect_blog_sidebar == true){
    	$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#sidebar{';
			$perfect_blog_custom_css .='display:block;';
		$perfect_blog_custom_css .='} }';
	}else if($perfect_blog_sidebar == false){
		$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#sidebar{';
			$perfect_blog_custom_css .='display:none;';
		$perfect_blog_custom_css .='} }';
	}

	$perfect_blog_loader = get_theme_mod( 'perfect_blog_responsive_preloader', false);
	if($perfect_blog_loader == true && get_theme_mod( 'perfect_blog_preloader_option', false) == false){
    	$perfect_blog_custom_css .='#loader-wrapper{';
			$perfect_blog_custom_css .='display:none;';
		$perfect_blog_custom_css .='} ';
	}
    if($perfect_blog_loader == true){
    	$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#loader-wrapper{';
			$perfect_blog_custom_css .='display:block;';
		$perfect_blog_custom_css .='} }';
	}else if($perfect_blog_loader == false){
		$perfect_blog_custom_css .='@media screen and (max-width:575px) {';
		$perfect_blog_custom_css .='#loader-wrapper{';
			$perfect_blog_custom_css .='display:none;';
		$perfect_blog_custom_css .='} }';
	}

	/*------------------ Skin Option  -------------------*/
	$perfect_blog_theme_lay = get_theme_mod( 'perfect_blog_background_skin_mode','Transparent Background');
    if($perfect_blog_theme_lay == 'With Background'){
		$perfect_blog_custom_css .='.page-box,#sidebar .widget,.woocommerce ul.products li.product, .woocommerce-page ul.products li.product,.front-page-content,.background-img-skin,.imagebox, .noresult-content{';
			$perfect_blog_custom_css .='background-color: #fff; padding:10px;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_theme_lay == 'Transparent Background'){
		$perfect_blog_custom_css .='.page-box-single{';
			$perfect_blog_custom_css .='background-color: transparent;';
		$perfect_blog_custom_css .='}';
	}

	/*------------ Woocommerce Settings  --------------*/
	$perfect_blog_top_bottom_product_button_padding = get_theme_mod('perfect_blog_top_bottom_product_button_padding', 10);
	$perfect_blog_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$perfect_blog_custom_css .='padding-top: '.esc_attr($perfect_blog_top_bottom_product_button_padding).'px; padding-bottom: '.esc_attr($perfect_blog_top_bottom_product_button_padding).'px;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_left_right_product_button_padding = get_theme_mod('perfect_blog_left_right_product_button_padding', 16);
	$perfect_blog_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$perfect_blog_custom_css .='padding-left: '.esc_attr($perfect_blog_left_right_product_button_padding).'px; padding-right: '.esc_attr($perfect_blog_left_right_product_button_padding).'px;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_product_button_border_radius = get_theme_mod('perfect_blog_product_button_border_radius', 0);
	$perfect_blog_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce input.button.alt, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
		$perfect_blog_custom_css .='border-radius: '.esc_attr($perfect_blog_product_button_border_radius).'px;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_show_related_products = get_theme_mod('perfect_blog_show_related_products',true);
	if($perfect_blog_show_related_products == false){
		$perfect_blog_custom_css .='.related.products{';
			$perfect_blog_custom_css .='display: none;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_show_wooproducts_border = get_theme_mod('perfect_blog_show_wooproducts_border', true);
	if($perfect_blog_show_wooproducts_border == false){
		$perfect_blog_custom_css .='.products li{';
			$perfect_blog_custom_css .='border: none;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_top_bottom_wooproducts_padding = get_theme_mod('perfect_blog_top_bottom_wooproducts_padding', 10);
	$perfect_blog_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$perfect_blog_custom_css .='padding-top: '.esc_attr($perfect_blog_top_bottom_wooproducts_padding).'px !important; padding-bottom: '.esc_attr($perfect_blog_top_bottom_wooproducts_padding).'px !important;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_left_right_wooproducts_padding = get_theme_mod('perfect_blog_left_right_wooproducts_padding', 10);
	$perfect_blog_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$perfect_blog_custom_css .='padding-left: '.esc_attr($perfect_blog_left_right_wooproducts_padding).'px !important; padding-right: '.esc_attr($perfect_blog_left_right_wooproducts_padding).'px !important;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_wooproducts_border_radius = get_theme_mod('perfect_blog_wooproducts_border_radius',0);
	$perfect_blog_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$perfect_blog_custom_css .='border-radius: '.esc_attr($perfect_blog_wooproducts_border_radius).'px;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_wooproducts_box_shadow = get_theme_mod('perfect_blog_wooproducts_box_shadow',0);
	$perfect_blog_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
		$perfect_blog_custom_css .='box-shadow: '.esc_attr($perfect_blog_wooproducts_box_shadow).'px '.esc_attr($perfect_blog_wooproducts_box_shadow).'px '.esc_attr($perfect_blog_wooproducts_box_shadow).'px #eee;';
	$perfect_blog_custom_css .='}';

	/*-------------- Footer Text -------------------*/

	$perfect_blog_footer_heading = get_theme_mod( 'perfect_blog_footer_heading','Left');
    if($perfect_blog_footer_heading == 'Left'){
		$perfect_blog_custom_css .='#footer h2, #footer .wp-block-search .wp-block-search__label{';
		$perfect_blog_custom_css .='text-align: left;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_footer_heading == 'Center'){
		$perfect_blog_custom_css .='#footer h2, #footer .wp-block-search .wp-block-search__label{';
			$perfect_blog_custom_css .='text-align: center;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_footer_heading == 'Right'){
		$perfect_blog_custom_css .='#footer h2, #footer .wp-block-search .wp-block-search__label{';
			$perfect_blog_custom_css .='text-align: right;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_footer_content = get_theme_mod( 'perfect_blog_footer_content','Left');
    if($perfect_blog_footer_content == 'Left'){
		$perfect_blog_custom_css .='#footer .widget{';
		$perfect_blog_custom_css .='text-align: left;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_footer_content == 'Center'){
		$perfect_blog_custom_css .='#footer .widget{';
			$perfect_blog_custom_css .='text-align: center;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_footer_content == 'Right'){
		$perfect_blog_custom_css .='#footer .widget{';
			$perfect_blog_custom_css .='text-align: right;';
		$perfect_blog_custom_css .='}';
	}

	// Footer Heading Font Size
	$perfect_blog_footer_font_size = get_theme_mod('perfect_blog_footer_font_size',24);
	$perfect_blog_custom_css .='#footer h2{';
		$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_footer_font_size).'px;';
	$perfect_blog_custom_css .='}';

	// Footer heading font weight
	$perfect_blog_footer_heading_font_weight = get_theme_mod('perfect_blog_footer_heading_font_weight', '600');
  	$perfect_blog_custom_css .='#footer h2{';
    $perfect_blog_custom_css .='font-weight: '.esc_attr($perfect_blog_footer_heading_font_weight).'!important;';
  	$perfect_blog_custom_css .='}';

	// Footer Heading Text Transform
	$perfect_blog_theme_lay = get_theme_mod( 'perfect_blog_footer_text_tranform','Uppercase');
    if($perfect_blog_theme_lay == 'Uppercase'){
		$perfect_blog_custom_css .='#footer h2{';
			$perfect_blog_custom_css .='text-transform: uppercase;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_theme_lay == 'Lowercase'){
		$perfect_blog_custom_css .='#footer h2{';
			$perfect_blog_custom_css .='text-transform: lowercase;';
		$perfect_blog_custom_css .='}';
	}
	else if($perfect_blog_theme_lay == 'Capitalize'){
		$perfect_blog_custom_css .='#footer h2{';
			$perfect_blog_custom_css .='text-transform: capitalize;';
		$perfect_blog_custom_css .='}';
	}
	
	$perfect_blog_copyright_content_align = get_theme_mod('perfect_blog_copyright_content_align');
	if($perfect_blog_copyright_content_align != false){
		$perfect_blog_custom_css .='.copyright{';
			$perfect_blog_custom_css .='text-align: '.esc_attr($perfect_blog_copyright_content_align).'!important;';
		$perfect_blog_custom_css .='}';
	}

	// Footer Icon Font Size
	$perfect_blog_footer_icon_font_size = get_theme_mod('perfect_blog_footer_icon_font_size');
	$perfect_blog_custom_css .='.footer-social-icon i{';
		$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_footer_icon_font_size).'px;';
	$perfect_blog_custom_css .='}';

		//footer icon color
	$perfect_blog_footer_icon_color = get_theme_mod('perfect_blog_footer_icon_color');
	$perfect_blog_custom_css .='.footer-social-icon a{';
		$perfect_blog_custom_css .='color: '.esc_attr($perfect_blog_footer_icon_color).'!important;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_align_footer_social_icon = get_theme_mod('perfect_blog_align_footer_social_icon');
	if($perfect_blog_align_footer_social_icon != false){
		$perfect_blog_custom_css .='.footer-social-icon{';
			$perfect_blog_custom_css .='text-align: '.esc_attr($perfect_blog_align_footer_social_icon).';';
		$perfect_blog_custom_css .='}';
		$perfect_blog_custom_css .='
		@media screen and (max-width:575px) {
			.footer-social-icon{';
			$perfect_blog_custom_css .='text-align: center;} }';
	}

	$perfect_blog_footer_content_font_size = get_theme_mod('perfect_blog_footer_content_font_size', 15);
	$perfect_blog_custom_css .='.copyright span{';
		$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_footer_content_font_size).'px;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_copyright_padding = get_theme_mod('perfect_blog_copyright_padding', 15);
	$perfect_blog_custom_css .='.copyright{';
		$perfect_blog_custom_css .='padding-top: '.esc_attr($perfect_blog_copyright_padding).'px !important; padding-bottom: '.esc_attr($perfect_blog_copyright_padding).'px !important;';
	$perfect_blog_custom_css .='}';

	/*------ copyright text color -------*/
	$perfect_blog_footer_text_color = get_theme_mod('perfect_blog_footer_text_color');
	if($perfect_blog_footer_text_color != false){
		$perfect_blog_custom_css .='.copyright span, .copyright span a{';
			$perfect_blog_custom_css .='color: '.esc_attr($perfect_blog_footer_text_color).'!important;';
		$perfect_blog_custom_css .='}';
	}

	/*------ copyright background css -------*/
	$perfect_blog_footer_text_bg_color = get_theme_mod('perfect_blog_footer_text_bg_color');
	if($perfect_blog_footer_text_bg_color != false){
		$perfect_blog_custom_css .='.copyright{';
			$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_footer_text_bg_color).'!important;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_footer_widget_bg_color = get_theme_mod('perfect_blog_footer_widget_bg_color');
	$perfect_blog_custom_css .='#footer{';
		$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_footer_widget_bg_color).'!important;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_footer_widget_bg_image = get_theme_mod('perfect_blog_footer_widget_bg_image');
	if($perfect_blog_footer_widget_bg_image != false){
		$perfect_blog_custom_css .='#footer{';
			$perfect_blog_custom_css .='background: url('.esc_attr($perfect_blog_footer_widget_bg_image).') !important; background-size: cover !important;';
		$perfect_blog_custom_css .='}';
	}

	// scroll to top bg color
	$perfect_blog_back_to_top_bg_color = get_theme_mod('perfect_blog_back_to_top_bg_color');
	$perfect_blog_custom_css .='#scroll-top{';
		$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_back_to_top_bg_color).';';
		$perfect_blog_custom_css .='border-color: '.esc_attr($perfect_blog_back_to_top_bg_color).';';
	$perfect_blog_custom_css .='}';

	// scroll to top bg hover color
	$perfect_blog_back_to_top_bg_hover_color = get_theme_mod('perfect_blog_back_to_top_bg_hover_color');
	$perfect_blog_custom_css .='#scroll-top:hover{';
		$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_back_to_top_bg_hover_color).';';
		$perfect_blog_custom_css .='border-color: '.esc_attr($perfect_blog_back_to_top_bg_hover_color).';';
	$perfect_blog_custom_css .='}';

	// scroll to top
	$perfect_blog_scroll_font_size_icon = get_theme_mod('perfect_blog_scroll_font_size_icon', 22);
	$perfect_blog_custom_css .='#scroll-top i{';
		$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_scroll_font_size_icon).'px;';
	$perfect_blog_custom_css .='}';

	// Slider Height 
	$perfect_blog_slider_image_height = get_theme_mod('perfect_blog_slider_image_height');
	$perfect_blog_custom_css .='#slider img{';
		$perfect_blog_custom_css .='height: '.esc_attr($perfect_blog_slider_image_height).'px;';
	$perfect_blog_custom_css .='}';

	// button font size
	$perfect_blog_button_font_size = get_theme_mod('perfect_blog_button_font_size');
	$perfect_blog_custom_css .='.page-box .new-text .second-border a{';
		$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_button_font_size).'px;';
	$perfect_blog_custom_css .='}';

	// button letter spacing
	$perfect_blog_button_letter_spacing = get_theme_mod('perfect_blog_button_letter_spacing');
	$perfect_blog_custom_css .='.page-box .new-text .second-border a{';
		$perfect_blog_custom_css .='letter-spacing: '.esc_attr($perfect_blog_button_letter_spacing).'px;';
	$perfect_blog_custom_css .='}';

	// font weight
	$perfect_blog_btn_font_weight = get_theme_mod('perfect_blog_btn_font_weight');{
	$perfect_blog_custom_css .='.page-box .new-text .second-border a{';
	$perfect_blog_custom_css .='font-weight: '.esc_attr($perfect_blog_btn_font_weight).';';
	$perfect_blog_custom_css .='}';
	}

	// Button Text Transform
	$perfect_blog_theme_lay = get_theme_mod( 'perfect_blog_button_text_transform','Uppercase');
    if($perfect_blog_theme_lay == 'Uppercase'){
		$perfect_blog_custom_css .='.page-box .new-text .second-border a{';
			$perfect_blog_custom_css .='text-transform: uppercase;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_theme_lay == 'Lowercase'){
		$perfect_blog_custom_css .='.page-box .new-text .second-border a{';
			$perfect_blog_custom_css .='text-transform: lowercase;';
		$perfect_blog_custom_css .='}';
	}
	else if($perfect_blog_theme_lay == 'Capitalize'){
		$perfect_blog_custom_css .='.page-box .new-text .second-border a{';
			$perfect_blog_custom_css .='text-transform: capitalize;';
		$perfect_blog_custom_css .='}';
	}

	// Display Blog Post 
	$perfect_blog_display_blog_page_post = get_theme_mod( 'perfect_blog_display_blog_page_post','In Box');
    if($perfect_blog_display_blog_page_post == 'Without Box'){
		$perfect_blog_custom_css .='.page-box, .main-cat-box{';
			$perfect_blog_custom_css .='border-bottom: solid 1px #eee; box-shadow: none;';
		$perfect_blog_custom_css .='}';
		$perfect_blog_custom_css .='.main-cat-box{';
			$perfect_blog_custom_css .='padding:10px;';
		$perfect_blog_custom_css .='}';
	}

	// Display Grid Post 
	$perfect_blog_display_grid_page_post = get_theme_mod( 'perfect_blog_display_grid_page_post','In Box');
    if($perfect_blog_display_grid_page_post == 'In Box'){
		$perfect_blog_custom_css .='.page-box.grid-box, .main-cat-box.grid-box{';
			$perfect_blog_custom_css .='border-bottom: solid 1px #eee; box-shadow: none;';
		$perfect_blog_custom_css .='}';
	}

	// grid post content alignment
	$perfect_blog_grid_post_alignment = get_theme_mod( 'perfect_blog_grid_post_alignment','Left');
	if($perfect_blog_grid_post_alignment == 'Left'){
		$perfect_blog_custom_css .='.page-box.grid-box h2,.page-box.grid-box .metabox,.page-box.grid-box .new-text,.page-box.grid-box .new-text .second-border{';
		$perfect_blog_custom_css .='text-align: left!important;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_grid_post_alignment == 'Center'){
		$perfect_blog_custom_css .='.page-box.grid-box h2,.page-box.grid-box .metabox,.page-box.grid-box .new-text,.page-box.grid-box .new-text .second-border{';
			$perfect_blog_custom_css .='text-align: center!important;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_grid_post_alignment == 'Right'){
		$perfect_blog_custom_css .='.page-box.grid-box h2,.page-box.grid-box .metabox,.page-box.grid-box .new-text,.page-box.grid-box .new-text .second-border{';
			$perfect_blog_custom_css .='text-align: right!important;';
		$perfect_blog_custom_css .='}';
	}

	// Blog Post ALignment
	$perfect_blog_blog_post_alignment = get_theme_mod( 'perfect_blog_blog_post_alignment','Left');
    if($perfect_blog_blog_post_alignment == 'Left'){
		$perfect_blog_custom_css .='.page-box h2, .page-box .new-text, .page-box .post-categories{';
		$perfect_blog_custom_css .='text-align: left;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_blog_post_alignment == 'Center'){
		$perfect_blog_custom_css .='.page-box h2, .page-box .new-text, .page-box .second-border, .page-box .post-categories{';
			$perfect_blog_custom_css .='text-align: center;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_blog_post_alignment == 'Right'){
		$perfect_blog_custom_css .='.page-box h2, .page-box .new-text, .page-box .second-border, .page-box .post-categories{';
			$perfect_blog_custom_css .='text-align: right;';
		$perfect_blog_custom_css .='}';
	}

	// Pagination ALignment
	$perfect_blog_pagination_alignment = get_theme_mod( 'perfect_blog_pagination_alignment','Left');
    if($perfect_blog_pagination_alignment == 'Left'){
		$perfect_blog_custom_css .='.pagination, .nav-links{';
		$perfect_blog_custom_css .='float: left;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_pagination_alignment == 'Center'){
		$perfect_blog_custom_css .='.pagination, .nav-links{';
			$perfect_blog_custom_css .='justify-content: center; float: none;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_pagination_alignment == 'Right'){
		$perfect_blog_custom_css .='.pagination, .nav-links{';
			$perfect_blog_custom_css .='float: right;';
		$perfect_blog_custom_css .='}';
	}

	//slider button bg color
	$perfect_blog_slider_btn_bg_color = get_theme_mod('perfect_blog_slider_btn_bg_color');
	$perfect_blog_custom_css .='#slider .inner_carousel .more-btn a{';
		$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_slider_btn_bg_color).';';
	$perfect_blog_custom_css .='}';

	// slider overlay
	$perfect_blog_slider_overlay = get_theme_mod('perfect_blog_slider_overlay', true);
	if($perfect_blog_slider_overlay == false){
		$perfect_blog_custom_css .='#slider img{';
			$perfect_blog_custom_css .='opacity:1;';
		$perfect_blog_custom_css .='}';
	} 
	$perfect_blog_slider_image_overlay_color = get_theme_mod('perfect_blog_slider_image_overlay_color', true);
	if($perfect_blog_slider_overlay != false){
		$perfect_blog_custom_css .='#slider{';
			$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_slider_image_overlay_color).';';
		$perfect_blog_custom_css .='}';
	}

	// site title and tagline font size option
	$perfect_blog_site_title_size_option = get_theme_mod('perfect_blog_site_title_size_option', 25);{
	$perfect_blog_custom_css .='#header .perfect-blog-logo h1, p.site-title a{';
	$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_site_title_size_option).'px;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_site_tagline_size_option = get_theme_mod('perfect_blog_site_tagline_size_option', 12);{
	$perfect_blog_custom_css .='#header .perfect-blog-logo p{';
	$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_site_tagline_size_option).'px;';
		$perfect_blog_custom_css .='}';
	}

	// woocommerce product sale settings
	$perfect_blog_border_radius_product_sale = get_theme_mod('perfect_blog_border_radius_product_sale',50);
	$perfect_blog_custom_css .='.woocommerce span.onsale {';
		$perfect_blog_custom_css .='border-radius: '.esc_attr($perfect_blog_border_radius_product_sale).'%;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_align_product_sale = get_theme_mod('perfect_blog_align_product_sale', 'Right');
	if($perfect_blog_align_product_sale == 'Right' ){
		$perfect_blog_custom_css .='.woocommerce ul.products li.product .onsale{';
			$perfect_blog_custom_css .=' left:auto; right:0;';
		$perfect_blog_custom_css .='}';
	}elseif($perfect_blog_align_product_sale == 'Left' ){
		$perfect_blog_custom_css .='.woocommerce ul.products li.product .onsale{';
			$perfect_blog_custom_css .=' left:0; right:auto;';
		$perfect_blog_custom_css .='}';
	}

	$perfect_blog_product_sale_font_size = get_theme_mod('perfect_blog_product_sale_font_size',14);
	$perfect_blog_custom_css .='.woocommerce span.onsale{';
		$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_product_sale_font_size).'px;';
	$perfect_blog_custom_css .='}';

	// product sale padding top /bottom
	$perfect_blog_sale_padding_top = get_theme_mod('perfect_blog_sale_padding_top', '');
	$perfect_blog_custom_css .='.woocommerce ul.products li.product .onsale{';
	$perfect_blog_custom_css .='padding-top: '.esc_attr($perfect_blog_sale_padding_top).'px; padding-bottom: '.esc_attr($perfect_blog_sale_padding_top).'px !important;';
	$perfect_blog_custom_css .='}';

	// product sale padding left/right
	$perfect_blog_sale_padding_left = get_theme_mod('perfect_blog_sale_padding_left', '');
	$perfect_blog_custom_css .='.woocommerce ul.products li.product .onsale{';
	$perfect_blog_custom_css .='padding-left: '.esc_attr($perfect_blog_sale_padding_left).'px; padding-right: '.esc_attr($perfect_blog_sale_padding_left).'px;';
	$perfect_blog_custom_css .='}';

	// preloader background image
	$perfect_blog_preloader_bg_image = get_theme_mod('perfect_blog_preloader_bg_image');
	if($perfect_blog_preloader_bg_image != false){
		$perfect_blog_custom_css .='#loader-wrapper .loader-section, #loader-wrapper{';
			$perfect_blog_custom_css .='background: url('.esc_attr($perfect_blog_preloader_bg_image).'); background-size: cover;';
		$perfect_blog_custom_css .='}';
	}

	// preloader background option 
	$perfect_blog_loader_background_color_first = get_theme_mod('perfect_blog_loader_background_color_first');
	$perfect_blog_custom_css .='#loader-wrapper .loader-section, #loader-wrapper{';
		$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_loader_background_color_first).';';
	$perfect_blog_custom_css .='} ';

	// breadcrumb color
	$perfect_blog_breadcrumb_color = get_theme_mod('perfect_blog_breadcrumb_color');
	$perfect_blog_custom_css .='.bradcrumbs a, .bradcrumbs span{';
	$perfect_blog_custom_css .='color: '.esc_attr($perfect_blog_breadcrumb_color).';';
	$perfect_blog_custom_css .='} ';

	// breadcrumb bg color
	$perfect_blog_breadcrumb_bg_color = get_theme_mod('perfect_blog_breadcrumb_bg_color');
	$perfect_blog_custom_css .='.bradcrumbs a, .bradcrumbs span{';
	$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_breadcrumb_bg_color).';';
	$perfect_blog_custom_css .='} ';

	// fixed header padding option
	$perfect_blog_sticky_header_padding_settings = get_theme_mod('perfect_blog_sticky_header_padding_settings', 0);
	$perfect_blog_custom_css .='.fixed-header{';
		$perfect_blog_custom_css .='padding: '.esc_attr($perfect_blog_sticky_header_padding_settings).'px;';
	$perfect_blog_custom_css .='}';
	$perfect_blog_custom_css .='.page-template-custom-front-page .fixed-header #header{';
		$perfect_blog_custom_css .='position:static;';
	$perfect_blog_custom_css .='}';

	// woocommerce Product Navigation
	$perfect_blog_products_navigation = get_theme_mod('perfect_blog_products_navigation', 'Yes');
	if($perfect_blog_products_navigation == 'No'){
		$perfect_blog_custom_css .='.woocommerce nav.woocommerce-pagination{';
			$perfect_blog_custom_css .='display: none;';
		$perfect_blog_custom_css .='}';
	}

	// featured image setting
	$perfect_blog_featured_img_border_radius = get_theme_mod('perfect_blog_featured_img_border_radius', 0);
	$perfect_blog_custom_css .='.our-services img{';
		$perfect_blog_custom_css .='border-radius: '.esc_attr($perfect_blog_featured_img_border_radius).'px;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_featured_img_box_shadow = get_theme_mod('perfect_blog_featured_img_box_shadow',0);
	$perfect_blog_custom_css .='.our-services img{';
		$perfect_blog_custom_css .='box-shadow: '.esc_attr($perfect_blog_featured_img_box_shadow).'px '.esc_attr($perfect_blog_featured_img_box_shadow).'px '.esc_attr($perfect_blog_featured_img_box_shadow).'px #ccc;';
	$perfect_blog_custom_css .='}';

	// grid post featured image setting
	$perfect_blog_img_border_radius_grid_post = get_theme_mod('perfect_blog_img_border_radius_grid_post', 0);
	$perfect_blog_custom_css .='.our-services .grid-box img{';
		$perfect_blog_custom_css .='border-radius: '.esc_attr($perfect_blog_img_border_radius_grid_post).'px;';
	$perfect_blog_custom_css .='}';

	// featured image dimention
	$perfect_blog_blog_image_dimension = get_theme_mod('perfect_blog_blog_image_dimension', 'default');
	$perfect_blog_feature_image_custom_width = get_theme_mod('perfect_blog_feature_image_custom_width');
	$perfect_blog_feature_image_custom_height = get_theme_mod('perfect_blog_feature_image_custom_height');
	if($perfect_blog_blog_image_dimension == 'custom'){
		$perfect_blog_custom_css .='.our-services .page-box img{';
			$perfect_blog_custom_css .='width: '.esc_attr($perfect_blog_feature_image_custom_width).'px; height: '.esc_attr($perfect_blog_feature_image_custom_height).'px;';
		$perfect_blog_custom_css .='}';
	}

	//First Cap (Blog Post)
	$perfect_blog_show_first_caps = get_theme_mod('perfect_blog_show_first_caps', 'false');
	if($perfect_blog_show_first_caps == 'true' ){
	$perfect_blog_custom_css .='.page-box .entry-content p:nth-of-type(1)::first-letter{';
	$perfect_blog_custom_css .=' font-size: 55px; font-weight: 600;';
	$perfect_blog_custom_css .=' margin-right: 6px;';
	$perfect_blog_custom_css .=' line-height: 1;';
	$perfect_blog_custom_css .='}';
	}elseif($perfect_blog_show_first_caps == 'false' ){
	$perfect_blog_custom_css .='.page-box .entry-content p:nth-of-type(1)::first-letter {';
	$perfect_blog_custom_css .='display: none;';
	$perfect_blog_custom_css .='}';
	}

	//First Cap (Single Post)
	$perfect_blog_single_post_first_caps = get_theme_mod('perfect_blog_single_post_first_caps', 'false');
	if($perfect_blog_single_post_first_caps == 'true' ){
	$perfect_blog_custom_css .='.page-box-single .new-text .entry-content p:nth-of-type(1)::first-letter{';
	$perfect_blog_custom_css .=' font-size: 55px; font-weight: 600;';
	$perfect_blog_custom_css .=' margin-right: 6px;';
	$perfect_blog_custom_css .=' line-height: 1;';
	$perfect_blog_custom_css .='}';
	}elseif($perfect_blog_single_post_first_caps == 'false' ){
	$perfect_blog_custom_css .='.page-box-single .new-text .entry-content p:nth-of-type(1)::first-letter {';
	$perfect_blog_custom_css .='display: none;';
	$perfect_blog_custom_css .='}';
	}

	// slider top and bottom padding
	$perfect_blog_top_bottom_slider_content_space = get_theme_mod('perfect_blog_top_bottom_slider_content_space');
	$perfect_blog_left_right_slider_content_space = get_theme_mod('perfect_blog_left_right_slider_content_space');
	$perfect_blog_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1, #slider .inner_carousel p, #slider .know-btn{';
		$perfect_blog_custom_css .='top: '.esc_attr($perfect_blog_top_bottom_slider_content_space).'%; bottom: '.esc_attr($perfect_blog_top_bottom_slider_content_space).'%;left: '.esc_attr($perfect_blog_left_right_slider_content_space).'%;right: '.esc_attr($perfect_blog_left_right_slider_content_space).'%;';
	$perfect_blog_custom_css .='}';

	/*------ Footer background css -------*/
	$perfect_blog_copyright_bg_color_settings = get_theme_mod('perfect_blog_copyright_bg_color_settings');
	if($perfect_blog_copyright_bg_color_settings != false){
		$perfect_blog_custom_css .='.copyright{';
			$perfect_blog_custom_css .='background-color: '.esc_attr($perfect_blog_copyright_bg_color_settings).'!important;';
		$perfect_blog_custom_css .='}';
	}

	// Menu Text Transform
	$perfect_blog_theme_lay = get_theme_mod( 'perfect_blog_text_tranform_menu','Uppercase');
    if($perfect_blog_theme_lay == 'Uppercase'){
		$perfect_blog_custom_css .='.primary-navigation ul li a{';
			$perfect_blog_custom_css .='text-transform: uppercase;';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_theme_lay == 'Lowercase'){
		$perfect_blog_custom_css .='.primary-navigation ul li a{';
			$perfect_blog_custom_css .='text-transform: lowercase;';
		$perfect_blog_custom_css .='}';
	}
	else if($perfect_blog_theme_lay == 'Capitalize'){
		$perfect_blog_custom_css .='.primary-navigation ul li a{';
			$perfect_blog_custom_css .='text-transform: capitalize;';
		$perfect_blog_custom_css .='}';
	}

	// menu font size
	$perfect_blog_menus_font_size = get_theme_mod('perfect_blog_menus_font_size',12);
	$perfect_blog_custom_css .='.primary-navigation a, .primary-navigation ul ul a, .sf-arrows .sf-with-ul:after, #menu-sidebar .primary-navigation a{';
		$perfect_blog_custom_css .='font-size: '.esc_attr($perfect_blog_menus_font_size).'px;';
	$perfect_blog_custom_css .='}';

	// font weight
	$perfect_blog_menu_weight = get_theme_mod('perfect_blog_menu_weight');{
		$perfect_blog_custom_css .='.primary-navigation a, .primary-navigation ul ul a, .sf-arrows .sf-with-ul:after, #menu-sidebar .primary-navigation a{';
			$perfect_blog_custom_css .='font-weight: '.esc_attr($perfect_blog_menu_weight).';';
		$perfect_blog_custom_css .='}';
	}

	// menu padding
	$perfect_blog_menu_padding = get_theme_mod('perfect_blog_menu_padding');
	$perfect_blog_custom_css .='.primary-navigation ul li, .sf-arrows .sf-with-ul:after{';
		$perfect_blog_custom_css .='padding: '.esc_attr($perfect_blog_menu_padding).'px;';
	$perfect_blog_custom_css .='}';
	
	// Menu hover effect
	$perfect_blog_menus_item = get_theme_mod( 'perfect_blog_menus_item_style','None');
    if($perfect_blog_menus_item == 'None'){
		$perfect_blog_custom_css .='.primary-navigation ul a{';
			$perfect_blog_custom_css .='';
		$perfect_blog_custom_css .='}';
	}else if($perfect_blog_menus_item == 'Zoom In'){
		$perfect_blog_custom_css .='.primary-navigation ul a:hover{';
			$perfect_blog_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
		$perfect_blog_custom_css .='}';
	}
	
	// Menu Color Option
	$perfect_blog_menu_color_settings = get_theme_mod('perfect_blog_menu_color_settings');
	$perfect_blog_custom_css .='.primary-navigation ul li a{';
		$perfect_blog_custom_css .='color: '.esc_attr($perfect_blog_menu_color_settings).'!important;';
	$perfect_blog_custom_css .='} ';

	// Menu Hover Color Option
	$perfect_blog_menu_hover_color_settings = get_theme_mod('perfect_blog_menu_hover_color_settings');
	$perfect_blog_custom_css .='.primary-navigation ul li a:hover {';
		$perfect_blog_custom_css .='color: '.esc_attr($perfect_blog_menu_hover_color_settings).'!important;';
	$perfect_blog_custom_css .='} ';

	// Submenu Color Option
	$perfect_blog_submenu_color_settings = get_theme_mod('perfect_blog_submenu_color_settings');
	$perfect_blog_custom_css .='.primary-navigation ul.sub-menu li a, .primary-navigation ul.children li a{';
		$perfect_blog_custom_css .='color: '.esc_attr($perfect_blog_submenu_color_settings).'!important;';
	$perfect_blog_custom_css .='} ';

	// Submenu Hover Color Option
	$perfect_blog_submenu_hover_color_settings = get_theme_mod('perfect_blog_submenu_hover_color_settings');
	$perfect_blog_custom_css .='.primary-navigation ul.sub-menu li a:hover, .primary-navigation ul.children li a:hover{';
	$perfect_blog_custom_css .='color: '.esc_attr($perfect_blog_submenu_hover_color_settings).'!important;';
	$perfect_blog_custom_css .='} '; 

	// site tagline color
	$perfect_blog_site_tagline_color = get_theme_mod('perfect_blog_site_tagline_color');
	$perfect_blog_custom_css .='.perfect-blog-logo p {';
		$perfect_blog_custom_css .='color: '.esc_attr($perfect_blog_site_tagline_color).' !important;';
	$perfect_blog_custom_css .='}';

	// site title color
	$perfect_blog_site_title_color = get_theme_mod('perfect_blog_site_title_color');
	$perfect_blog_custom_css .='.site-title a{';
		$perfect_blog_custom_css .='color: '.esc_attr($perfect_blog_site_title_color).' !important;';
	$perfect_blog_custom_css .='}';

	// site top-bottom logo padding 
	$perfect_blog_logo_padding_top = get_theme_mod('perfect_blog_logo_padding_top', '');
	$perfect_blog_custom_css .='.perfect-blog-logo{';
	$perfect_blog_custom_css .='padding-top: '.esc_attr($perfect_blog_logo_padding_top).'px; padding-bottom: '.esc_attr($perfect_blog_logo_padding_top).'px;';
	$perfect_blog_custom_css .='}';

	// site left-right logo padding 
	$perfect_blog_logo_padding_left = get_theme_mod('perfect_blog_logo_padding_left', '');
	$perfect_blog_custom_css .='.perfect-blog-logo{';
	$perfect_blog_custom_css .='padding-left: '.esc_attr($perfect_blog_logo_padding_left).'px; padding-right: '.esc_attr($perfect_blog_logo_padding_left).'px;';
	$perfect_blog_custom_css .='}';

	// site top-bottom logo margin 
	$perfect_blog_logo_margin_top = get_theme_mod('perfect_blog_logo_margin_top', '');
	$perfect_blog_custom_css .='.perfect-blog-logo{';
	$perfect_blog_custom_css .='margin-top: '.esc_attr($perfect_blog_logo_margin_top).'px; margin-bottom: '.esc_attr($perfect_blog_logo_margin_top).'px;';
	$perfect_blog_custom_css .='}';

	// site left-right logo margin
	$perfect_blog_logo_margin_left = get_theme_mod('perfect_blog_logo_margin_left', '');
	$perfect_blog_custom_css .='.perfect-blog-logo{';
	$perfect_blog_custom_css .='margin-left: '.esc_attr($perfect_blog_logo_margin_left).'px; margin-right: '.esc_attr($perfect_blog_logo_margin_left).'px;';
	$perfect_blog_custom_css .='}';

	// toggle button color 
	$perfect_blog_taggle_menu_bg_color_settings = get_theme_mod('perfect_blog_taggle_menu_bg_color_settings', '');
	$perfect_blog_custom_css .='.toggle-menu i {';
	$perfect_blog_custom_css .='background-color:'.esc_attr($perfect_blog_taggle_menu_bg_color_settings).'';
	$perfect_blog_custom_css .='}';

	// single post image setting
	$perfect_blog_single_img_border_radius = get_theme_mod('perfect_blog_single_img_border_radius', 0);
	$perfect_blog_custom_css .='.page-box-single .feature-box img{';
		$perfect_blog_custom_css .='border-radius: '.esc_attr($perfect_blog_single_img_border_radius).'px;';
	$perfect_blog_custom_css .='}';

	$perfect_blog_single_img_box_shadow = get_theme_mod('perfect_blog_single_img_box_shadow',0);
	$perfect_blog_custom_css .='.page-box-single .feature-box img{';
		$perfect_blog_custom_css .='box-shadow: '.esc_attr($perfect_blog_single_img_box_shadow).'px '.esc_attr($perfect_blog_single_img_box_shadow).'px '.esc_attr($perfect_blog_single_img_box_shadow).'px #ccc;';
	$perfect_blog_custom_css .='}';

	/*----Comment title text----*/
	$perfect_blog_title_comment_form = get_theme_mod('
		perfect_blog_title_comment_form', 'Leave a Reply');
	if($perfect_blog_title_comment_form == ''){
	$perfect_blog_custom_css .='#comments h2#reply-title {';
	$perfect_blog_custom_css .='display: none;';
	$perfect_blog_custom_css .='}';
	}

	/*----Comment button text----*/
	$perfect_blog_comment_form_button_content = get_theme_mod('perfect_blog_comment_form_button_content', 'Post Comment');
	if($perfect_blog_comment_form_button_content == ''){
	$perfect_blog_custom_css .='#comments p.form-submit {';
	$perfect_blog_custom_css .='display: none;';
	$perfect_blog_custom_css .='}';
	}
	
	/*---- Comment form ----*/
	$perfect_blog_comment_width = get_theme_mod('perfect_blog_comment_width', '100');
	$perfect_blog_custom_css .='#comments textarea{';
	$perfect_blog_custom_css .=' width:'.esc_attr($perfect_blog_comment_width).'%;';
	$perfect_blog_custom_css .='}';


	// Copyright Sticky 
	$perfect_blog_resp_stickycopyright = get_theme_mod( 'perfect_blog_stickycopyright_hide_show',false);
	if($perfect_blog_resp_stickycopyright == true && get_theme_mod( 'perfect_blog_copyright_sticky',false) != true){
    	$perfect_blog_custom_css .='.copyright-sticky{';
			$perfect_blog_custom_css .='position:static;';
		$perfect_blog_custom_css .='} ';
	}	




